# Uses of Class
javax.swing.MenuSelectionManager

Packages that use MenuSelectionManager
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of MenuSelectionManager in javax.swing

Methods in javax.swing that return MenuSelectionManager
Modifier and Type
Method
Description
`static MenuSelectionManager`
MenuSelectionManager.`defaultManager()`
Returns the default menu selection manager.
Methods in javax.swing with parameters of type MenuSelectionManager
Modifier and Type
Method
Description
`void`
JMenuBar.`processKeyEvent​(KeyEvent e, MenuElement[] path, MenuSelectionManager manager)`
Implemented to be a `MenuElement` -- does nothing.
`void`
JMenuItem.`processKeyEvent​(KeyEvent e, MenuElement[] path, MenuSelectionManager manager)`
Processes a key event forwarded from the `MenuSelectionManager` and changes the menu selection, if necessary, by using `MenuSelectionManager`'s API.
`void`
JPopupMenu.`processKeyEvent​(KeyEvent e, MenuElement[] path, MenuSelectionManager manager)`
Processes a key event forwarded from the `MenuSelectionManager` and changes the menu selection, if necessary, by using `MenuSelectionManager`'s API.
`void`
MenuElement.`processKeyEvent​(KeyEvent event, MenuElement[] path, MenuSelectionManager manager)`
Process a key event.
`void`
JMenuBar.`processMouseEvent​(MouseEvent event, MenuElement[] path, MenuSelectionManager manager)`
Implemented to be a `MenuElement` -- does nothing.
`void`
JMenuItem.`processMouseEvent​(MouseEvent e, MenuElement[] path, MenuSelectionManager manager)`
Processes a mouse event forwarded from the `MenuSelectionManager` and changes the menu selection, if necessary, by using the `MenuSelectionManager`'s API.
`void`
JPopupMenu.`processMouseEvent​(MouseEvent event, MenuElement[] path, MenuSelectionManager manager)`
This method is required to conform to the `MenuElement` interface, but it not implemented.
`void`
MenuElement.`processMouseEvent​(MouseEvent event, MenuElement[] path, MenuSelectionManager manager)`
Processes a mouse event.

## Uses of MenuSelectionManager in javax.swing.event

Methods in javax.swing.event that return MenuSelectionManager
Modifier and Type
Method
Description
`MenuSelectionManager`
MenuDragMouseEvent.`getMenuSelectionManager()`
Returns the current menu selection manager.
`MenuSelectionManager`
MenuKeyEvent.`getMenuSelectionManager()`
Returns the current menu selection manager.
Constructors in javax.swing.event with parameters of type MenuSelectionManager
Modifier
Constructor
Description
``
`MenuDragMouseEvent​(Component source, int id, long when, int modifiers, int x, int y, int clickCount, boolean popupTrigger, MenuElement[] p, MenuSelectionManager m)`
Constructs a MenuDragMouseEvent object.
``
`MenuDragMouseEvent​(Component source, int id, long when, int modifiers, int x, int y, int xAbs, int yAbs, int clickCount, boolean popupTrigger, MenuElement[] p, MenuSelectionManager m)`
Constructs a MenuDragMouseEvent object.
``
`MenuKeyEvent​(Component source, int id, long when, int modifiers, int keyCode, char keyChar, MenuElement[] p, MenuSelectionManager m)`
Constructs a MenuKeyEvent object.

## Uses of MenuSelectionManager in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type MenuSelectionManager
Modifier and Type
Method
Description
`protected void`
BasicMenuItemUI.`doClick​(MenuSelectionManager msm)`
Call this method when a menu item is to be activated.
`void`
BasicCheckBoxMenuItemUI.`processMouseEvent​(JMenuItem item, MouseEvent e, MenuElement[] path, MenuSelectionManager manager)`
Invoked when mouse event occurs.
`void`
BasicRadioButtonMenuItemUI.`processMouseEvent​(JMenuItem item, MouseEvent e, MenuElement[] path, MenuSelectionManager manager)`
Invoked when mouse event occurs.